'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Button = function (_React$Component) {
  _inherits(Button, _React$Component);

  function Button(props) {
    _classCallCheck(this, Button);

    var _this = _possibleConstructorReturn(this, (Button.__proto__ || Object.getPrototypeOf(Button)).call(this, props));

    _this.sizeEnum = {
      "default": "btn",
      "lg": "btn btn-lg",
      "sm": "btn btn-sm"
    };
    _this.state = {
      isAction: true
    };
    return _this;
  }

  _createClass(Button, [{
    key: 'onClick',
    value: function onClick(e) {
      this.props.onClick && this.props.onClick(e);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          size = _props.size,
          loading = _props.loading,
          disabled = _props.disabled,
          secondary = _props.secondary,
          style = _props.style;

      var className = this.sizeEnum[size] || this.sizeEnum["default"];
      className = secondary ? className + " btn-secondary" : className; //次级按钮
      return _react2.default.createElement(
        'button',
        { className: className, style: style, disabled: disabled ? "disabled" : false, onClick: this.onClick.bind(this) },
        loading ? _react2.default.createElement('span', { className: 'loading' }) : null,
        this.props.children
      );
    }
  }]);

  return Button;
}(_react2.default.Component);

Button.propTypes = {
  size: _propTypes2.default.string,
  disabled: _propTypes2.default.bool,
  loading: _propTypes2.default.bool,
  secondary: _propTypes2.default.bool
};
exports.default = Button;
//# sourceMappingURL=Button.js.map