'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _RadioGroup = require('./RadioGroup');

var _RadioGroup2 = _interopRequireDefault(_RadioGroup);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Radio = function (_React$Component) {
	_inherits(Radio, _React$Component);

	function Radio(props) {
		_classCallCheck(this, Radio);

		var _this = _possibleConstructorReturn(this, (Radio.__proto__ || Object.getPrototypeOf(Radio)).call(this, props));

		_this.state = { checked: props.defaultChecked || false };
		_this.checked = props.defaultChecked || false;
		_this.value = props.value;
		return _this;
	}

	_createClass(Radio, [{
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(props) {
			if (props.checked) {
				this.checked = props.checked;
				this.refs['input'].checked = props.checked;
			}
		}
	}, {
		key: 'onChange',
		value: function onChange() {
			if (this.props.disabled) {
				return;
			}
			this.checked = this.refs['input'].checked;
			this.props.onChange && this.props.onChange();
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    children = _props.children,
			    disabled = _props.disabled,
			    name = _props.name,
			    value = _props.value;

			return _react2.default.createElement(
				'label',
				{ className: "radio-wrapper " + (disabled ? "radio-disabled" : "") },
				_react2.default.createElement('input', { type: 'radio', ref: 'input', name: name, disabled: disabled, value: value, defaultChecked: this.props.defaultChecked, onChange: function onChange() {
						_this2.onChange();
					} }),
				children
			);
		}
	}]);

	return Radio;
}(_react2.default.Component);

Radio.propTypes = {
	disabled: _propTypes2.default.bool,
	defaultChecked: _propTypes2.default.bool,
	defaultValue: _propTypes2.default.any,
	onChange: _propTypes2.default.func,
	children: _propTypes2.default.string,
	checked: _propTypes2.default.bool
};
exports.default = Radio;

var Button = function (_React$Component2) {
	_inherits(Button, _React$Component2);

	function Button(props) {
		_classCallCheck(this, Button);

		var _this3 = _possibleConstructorReturn(this, (Button.__proto__ || Object.getPrototypeOf(Button)).call(this, props));

		_this3.state = { checked: props.defaultChecked || false };
		_this3.checked = props.defaultChecked || false;
		_this3.value = props.value;
		return _this3;
	}

	_createClass(Button, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'label',
				{ className: 'radio-button-wrapper' },
				_react2.default.createElement('input', { type: 'radio', name: 'radio' }),
				'\u4E0A\u6D77'
			);
		}
	}]);

	return Button;
}(_react2.default.Component);

Radio.Button = Button;
//# sourceMappingURL=Radio.js.map