'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tabs = function (_React$Component) {
    _inherits(Tabs, _React$Component);

    function Tabs(props) {
        _classCallCheck(this, Tabs);

        var _this = _possibleConstructorReturn(this, (Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call(this, props));

        _this.state = {
            currentIndex: props.defaultActiveKey || 0
        };
        return _this;
    }

    _createClass(Tabs, [{
        key: 'onChange',
        value: function onChange(element, index) {
            if (element.props.disabled) {
                return false;
            }
            this.setState({ currentIndex: index });
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            return _react2.default.createElement(
                'div',
                { className: 'tabs-wrapper' },
                _react2.default.createElement(
                    'div',
                    { className: 'tabs-nav-container' },
                    _react2.default.createElement(
                        'div',
                        { className: 'tabs-nav-wrapper' },
                        _react2.default.createElement(
                            'div',
                            { className: 'tabs-nav' },
                            _react2.default.Children.map(this.props.children, function (element, index) {
                                return _react2.default.createElement(
                                    'div',
                                    {
                                        onClick: function onClick() {
                                            _this2.onChange(element, index);
                                        },
                                        className: "tabs-tab-item " + (index == _this2.state.currentIndex ? "tabs-tab-item-action " : "") + (element.props.disabled ? "tabs-tab-item-disabled" : "")
                                    },
                                    element.props.tabNavItem
                                );
                            })
                        )
                    )
                ),
                _react2.default.createElement(
                    'div',
                    { className: 'tabs-content' },
                    _react2.default.Children.map(this.props.children, function (element, index) {
                        return _react2.default.createElement(
                            'div',
                            { className: "tabs-content-item " + (index == _this2.state.currentIndex ? "tabs-content-item-action " : "") },
                            element.props.children
                        );
                    })
                )
            );
        }
    }]);

    return Tabs;
}(_react2.default.Component);

exports.default = Tabs;

var TabItem = function (_React$Component2) {
    _inherits(TabItem, _React$Component2);

    function TabItem(props) {
        _classCallCheck(this, TabItem);

        return _possibleConstructorReturn(this, (TabItem.__proto__ || Object.getPrototypeOf(TabItem)).call(this, props));
    }

    _createClass(TabItem, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'div',
                props,
                props.children
            );
        }
    }]);

    return TabItem;
}(_react2.default.Component);

Tabs.TabItem = TabItem;
//# sourceMappingURL=Tabs.js.map