'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tag = function (_React$Component) {
  _inherits(Tag, _React$Component);

  function Tag(props) {
    _classCallCheck(this, Tag);

    var _this = _possibleConstructorReturn(this, (Tag.__proto__ || Object.getPrototypeOf(Tag)).call(this, props));

    _this.typeEnum = {
      "default": "yt-label",
      "message": "yt-label label-message",
      "succeed": "yt-label label-succeed",
      "warning": "yt-label label-warning",
      "error": "yt-label label-error"
    };
    _this.state = { display: false };

    return _this;
  }

  _createClass(Tag, [{
    key: 'onClick',
    value: function onClick(e) {
      this.props.onClick && this.props.onClick(e);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          type = _props.type,
          remove = _props.remove;
      var display = this.state.display;

      var className = this.typeEnum[type] || this.typeEnum["default"];

      return _react2.default.createElement(
        'span',
        { className: className },
        this.props.children,
        remove ? _react2.default.createElement('span', { className: 'icon-delete', onClick: this.onClick.bind(this) }) : null
      );
    }
  }]);

  return Tag;
}(_react2.default.Component);

Tag.propTypes = {
  type: _propTypes2.default.string,
  remove: _propTypes2.default.bool
};
exports.default = Tag;
//# sourceMappingURL=Tag.js.map