'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactSyntaxHighlighter = require('react-syntax-highlighter');

var _reactSyntaxHighlighter2 = _interopRequireDefault(_reactSyntaxHighlighter);

var _styles = require('react-syntax-highlighter/dist/styles');

var _reactRouter = require('react-router');

var _history = require('history');

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

var _Index = require('./doc/Index');

var _Index2 = _interopRequireDefault(_Index);

var _Layout = require('./doc/Layout');

var _Layout2 = _interopRequireDefault(_Layout);

var _Menu = require('./doc/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _Panel = require('./doc/Panel');

var _Panel2 = _interopRequireDefault(_Panel);

var _Button = require('./doc/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Table = require('./doc/Table');

var _Table2 = _interopRequireDefault(_Table);

var _Tooltip = require('./doc/Tooltip');

var _Tooltip2 = _interopRequireDefault(_Tooltip);

var _Popconfirm = require('./doc/Popconfirm');

var _Popconfirm2 = _interopRequireDefault(_Popconfirm);

var _Message = require('./doc/Message');

var _Message2 = _interopRequireDefault(_Message);

var _Input = require('./doc/Input');

var _Input2 = _interopRequireDefault(_Input);

var _Switch = require('./doc/Switch');

var _Switch2 = _interopRequireDefault(_Switch);

var _Radio = require('./doc/Radio');

var _Radio2 = _interopRequireDefault(_Radio);

var _CheckBox = require('./doc/CheckBox');

var _CheckBox2 = _interopRequireDefault(_CheckBox);

var _InputNumber = require('./doc/InputNumber');

var _InputNumber2 = _interopRequireDefault(_InputNumber);

var _Icon = require('./doc/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Tag = require('./doc/Tag');

var _Tag2 = _interopRequireDefault(_Tag);

var _Badge = require('./doc/Badge');

var _Badge2 = _interopRequireDefault(_Badge);

var _Tabs = require('./doc/Tabs');

var _Tabs2 = _interopRequireDefault(_Tabs);

var _Progress = require('./doc/Progress');

var _Progress2 = _interopRequireDefault(_Progress);

var _Select = require('./doc/Select');

var _Select2 = _interopRequireDefault(_Select);

var _SearchInput = require('./doc/SearchInput');

var _SearchInput2 = _interopRequireDefault(_SearchInput);

var _DatePicker = require('./doc/DatePicker');

var _DatePicker2 = _interopRequireDefault(_DatePicker);

var _Pagination = require('./doc/Pagination');

var _Pagination2 = _interopRequireDefault(_Pagination);

var _Modal = require('./doc/Modal');

var _Modal2 = _interopRequireDefault(_Modal);

var _TimerPicker = require('./doc/TimerPicker');

var _TimerPicker2 = _interopRequireDefault(_TimerPicker);

var _Alert = require('./doc/Alert');

var _Alert2 = _interopRequireDefault(_Alert);

var _Upload = require('./doc/Upload');

var _Upload2 = _interopRequireDefault(_Upload);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

//{queryKey: false}
var history = (0, _reactRouter.useRouterHistory)(_history.createHashHistory)();

var components = [{
  title: "General",
  key: "General",
  list: [{
    title: "Index",
    component: _Index2.default,
    key: "Index",
    href: "/Index"
  }, {
    title: "Layout",
    component: _Layout2.default,
    key: "Layout",
    href: "/Layout"
  }, {
    title: "Panel",
    component: _Panel2.default,
    key: "Panel",
    href: "/Panel"
  }, {
    title: "Button",
    component: _Button2.default,
    key: "Button",
    href: "/Button"
  }]
}, {
  title: "Navigation",
  key: "Navigation",
  list: [{
    title: "Pagination",
    component: _Pagination2.default,
    key: "Pagination",
    href: "/Pagination"
  }, {
    title: "Menu",
    component: _Menu2.default,
    key: "Menu",
    href: "/Menu"
  }, {
    title: "Tabs",
    component: _Tabs2.default,
    key: "tabs",
    href: "/Tabs"
  }]
}, {
  title: "Data Entry",
  key: "DataEntry",
  list: [{
    title: "DatePicker",
    component: _DatePicker2.default,
    href: "/DatePicker"
  }, {
    title: "Select",
    component: _Select2.default,
    key: "Select",
    href: "/Select"
  }, {
    title: "SearchInput",
    component: _SearchInput2.default,
    key: "SearchInput",
    href: "/SearchInput"
  }, {
    title: "input",
    component: _Input2.default,
    key: "Input",
    href: "/Input"
  }, {
    title: "Switch",
    component: _Switch2.default,
    key: "Switch",
    href: "/Switch"
  }, {
    title: "Radio",
    component: _Radio2.default,
    key: "Radio",
    href: "/Radio"
  }, {
    title: "CheckBox",
    component: _CheckBox2.default,
    key: "CheckBox",
    href: "/CheckBox"
  }, {
    title: "InputNumber",
    component: _InputNumber2.default,
    key: "InputNumber",
    href: "/InputNumber"
  }, {
    title: "TimerPicker",
    component: _TimerPicker2.default,
    key: "TimerPicker",
    href: "/TimerPicker"
  }, {
    title: "Upload 上传",
    component: _Upload2.default,
    key: "Upload",
    href: "/Upload"
  }]
}, {
  title: "Data Display",
  key: "DataDisplay",
  list: [{
    title: "Table",
    component: _Table2.default,
    key: "Table",
    href: "/Table"
  }, {
    title: "Collapse",
    key: "Collapse",
    href: "/Collapse"
  }, {
    title: "Tag 标签",
    component: _Tag2.default,
    key: "Tag",
    href: "/Tag"
  }, {
    title: "Badge 徽标",
    component: _Badge2.default,
    href: "/Badge",
    key: "Badge"
  }, {

    title: "Tooltip",
    href: "/Tooltip",
    component: _Tooltip2.default,
    key: "Tooltip"
  }]
}, {
  title: "Feedback",
  key: "feedback",
  list: [{
    title: "Alert ",
    component: _Alert2.default,
    key: "Alert",
    href: "/Alert"
  }, {
    title: "Modal",
    component: _Modal2.default,
    key: "Modal",
    href: "/Modal"
  }, {
    title: "Message",
    component: _Message2.default,
    key: "Message",
    href: "/Message"
  }, {
    title: "Progress",
    component: _Progress2.default,
    key: "Progress",
    href: "/Progress"
  }, {
    title: "Popconfirm",
    href: "/Popconfirm",
    component: _Popconfirm2.default,
    key: "Popconfirm"
  }, {
    title: "Icon font",
    component: _Icon2.default,
    key: "Icon",
    href: "/Icon"
  }]
}];

var Layout = function (_React$Component) {
  _inherits(Layout, _React$Component);

  function Layout(props) {
    _classCallCheck(this, Layout);

    var _this = _possibleConstructorReturn(this, (Layout.__proto__ || Object.getPrototypeOf(Layout)).call(this, props));

    _this.state = { title: "PIROS React Component" };
    _this.menuDataSource = components.map(function (item) {
      var menu = Object.assign({}, item);
      if (menu.href) {
        menu.href = "#" + menu.href;
      }

      if (menu.list) {
        menu.list = menu.list.map(function (item) {
          if (item.href) {
            item.href = "#" + item.href;
          }
          return item;
        });
      }

      return menu;
    });
    return _this;
  }

  _createClass(Layout, [{
    key: 'render',
    value: function render() {
      var Layout = _index2.default.Layout;

      return _react2.default.createElement(
        Layout,
        { title: 'title' },
        _react2.default.createElement(
          Layout.Side,
          null,
          _react2.default.createElement(_index2.default.Menu, {
            dataSource: this.menuDataSource,
            defaultOpenKeys: ["General", "Navigation", "feedback", "DataDisplay", "DataEntry"],
            defaultSelectedKeys: ["Index"],
            onSelect: function onSelect(menu) {
              console.log(menu);
            }
          })
        ),
        _react2.default.createElement(
          Layout.Context,
          null,
          this.props.children
        )
      );
    }
  }]);

  return Layout;
}(_react2.default.Component);

function contextDoc(componentDoc) {
  return function (_React$Component2) {
    _inherits(Context, _React$Component2);

    function Context(props) {
      _classCallCheck(this, Context);

      var _this2 = _possibleConstructorReturn(this, (Context.__proto__ || Object.getPrototypeOf(Context)).call(this, props));

      _this2.state = {};
      return _this2;
    }

    _createClass(Context, [{
      key: 'render',
      value: function render() {
        return _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'p',
            { className: 'con-title' },
            componentDoc.title || "PIROS React Component"
          ),
          _react2.default.createElement(
            _index2.default.Panel,
            { title: '\u6548\u679C' },
            componentDoc.example.call(this)
          ),
          _react2.default.createElement(
            _index2.default.Panel,
            { title: '\u53C2\u6570\u8BF4\u660E' },
            componentDoc.params()
          ),
          _react2.default.createElement(
            _index2.default.Panel,
            { title: 'Code' },
            _react2.default.createElement(
              _reactSyntaxHighlighter2.default,
              { language: 'javascript', style: _styles.docco },
              componentDoc.code()
            )
          )
        );
      }
    }]);

    return Context;
  }(_react2.default.Component);
}

var App = function (_React$Component3) {
  _inherits(App, _React$Component3);

  function App() {
    _classCallCheck(this, App);

    return _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).apply(this, arguments));
  }

  _createClass(App, [{
    key: 'render',
    value: function render() {
      var routers = [];
      components.map(function (item) {
        item.list && item.list.map(function (i) {
          i.component && routers.push(i);
        });
      });
      return _react2.default.createElement(
        _reactRouter.Router,
        { history: history },
        _react2.default.createElement(
          _reactRouter.Route,
          { path: '/', component: Layout },
          _react2.default.createElement(_reactRouter.IndexRoute, { component: contextDoc(routers[0].component) }),
          routers.map(function (item) {
            return _react2.default.createElement(_reactRouter.Route, { path: item.href, key: item.href, component: contextDoc(item.component) });
          })
        )
      );
    }
  }]);

  return App;
}(_react2.default.Component);

exports.default = App;


(0, _reactDom.render)(_react2.default.createElement(App, null), document.getElementById("root"));
//# sourceMappingURL=doc.js.map