'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var onChange = function onChange(e) {
	console.log("onchange");
};
function example() {
	var addonAfter = _react2.default.createElement('span', { className: 'submit-wrapper' });
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(_index2.default.Input, { name: 'text', defaultValue: 'sss', disabled: true, style: { width: '300px', height: '20px' }, placeholder: '\u8BF7\u8F93\u5165\u5185\u5BB9', onChange: onChange.bind(this) }),
		_react2.default.createElement(_index2.default.Input, { type: 'password', name: 'text', defaultValue: 'sss', placeholder: '\u8BF7\u8F93\u5165\u5185\u5BB9', onChange: onChange.bind(this) }),
		_react2.default.createElement(_index2.default.Input, { type: 'text', addonAfter: addonAfter, onChange: onChange.bind(this) }),
		_react2.default.createElement(_index2.default.Input, { type: 'search', onChange: onChange.bind(this) })
	);
}

function params() {

	var dataSource = [{
		key: "type",
		type: "string",
		"default": "text，search，password",
		mark: "用search会带一个放大镜"
	}, {
		key: "disabled",
		type: "bool",
		"default": "false",
		mark: "是否禁用"
	}, {
		key: "defaultValue",
		type: "string",
		"default": "无",
		mark: "初始化的值"
	}, {
		key: "placeholder",
		type: "string",
		"default": "无",
		mark: "提示信息"
	}, {
		key: "addonAfter",
		type: "html元素",
		"default": "无",
		mark: "输入框后图标"
	}, {
		key: "value",
		type: "string",
		"default": "无",
		mark: "通过ref.value,可以获取input的值"
	}, {
		key: "无",
		type: "无",
		"default": "无",
		mark: "支持大部分原生事件和设置"
	}];

	var columns = [{
		title: "参数",
		key: "key"
	}, {
		title: "类型",
		key: "type"
	}, {
		title: "默认值",
		key: "default"
	}, {
		title: "说明",
		key: "mark"
	}];

	return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
	return '\nconst addonAfter = (<span className="submit-wrapper"><span/></span>\n\t\t\n<PIROS.Input name="text" defaultValue="sss" disabled placeholder="\u8BF7\u8F93\u5165\u5185\u5BB9" onChange={onChange.bind(this)}/>\n    \n<PIROS.Input type="password" name="text" defaultValue="sss"  placeholder="\u8BF7\u8F93\u5165\u5185\u5BB9" onChange={onChange.bind(this)}/>\n\t\t\n<PIROS.Input type="text"  addonAfter={addonAfter} onChange={onChange.bind(this)}/>\n\n<PIROS.Input type="search" onChange={onChange.bind(this)}/>\n    ';
}

module.exports = {
	example: example,
	params: params,
	code: code
};
//# sourceMappingURL=Input.js.map