'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function example() {
    return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
            _index2.default.Tabs,
            { defaultActiveKey: '0' },
            _react2.default.createElement(
                _index2.default.Tabs.TabItem,
                { tabNavItem: '\u9009\u9879\u4E00' },
                '\u9009\u9879\u4E00'
            ),
            _react2.default.createElement(
                _index2.default.Tabs.TabItem,
                { tabNavItem: '\u9009\u9879\u4E8C', disabled: true },
                '\u9009\u9879\u4E8C'
            ),
            _react2.default.createElement(
                _index2.default.Tabs.TabItem,
                { tabNavItem: '\u9009\u9879\u4E09' },
                '\u9009\u9879\u4E09'
            )
        ),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement(
            _index2.default.Tabs,
            { defaultActiveKey: '0' },
            _react2.default.createElement(
                _index2.default.Tabs.TabItem,
                { tabNavItem: '\u9009\u9879\u4E00' },
                '\u9009\u9879\u4E00'
            ),
            _react2.default.createElement(
                _index2.default.Tabs.TabItem,
                { tabNavItem: '\u9009\u9879\u4E8C' },
                '\u9009\u9879\u4E8C'
            ),
            _react2.default.createElement(
                _index2.default.Tabs.TabItem,
                { tabNavItem: '\u9009\u9879\u4E09' },
                '\u9009\u9879\u4E09'
            )
        )
    );
}

function params() {

    var dataSource = [{
        key: "tabNavItem",
        type: "string",
        "default": "必填",
        mark: "tabs导航title"
    }, {
        key: "defaultActiveKey",
        type: "string",
        "default": "0",
        mark: "默认选中第一项 ,'0'表示选项一，依此类推"
    }, {
        key: "disabled",
        type: "bool",
        "default": "false",
        mark: "为true时该项不可选"
    }];

    var columns = [{
        title: "参数",
        key: "key"
    }, {
        title: "类型",
        key: "type"
    }, {
        title: "默认值",
        key: "default"
    }, {
        title: "说明",
        key: "mark"
    }];

    return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
    return '\n    <PIROS.Tabs defaultActiveKey="0" >\n      <PIROS.Tabs.TabItem tabNavItem = "\u9009\u9879\u4E00" >\n          \u9009\u9879\u4E00\n      </PIROS.Tabs.TabItem>\n      <PIROS.Tabs.TabItem tabNavItem = "\u9009\u9879\u4E8C" disabled>\n          \u9009\u9879\u4E8C\n      </PIROS.Tabs.TabItem>\n      <PIROS.Tabs.TabItem tabNavItem = "\u9009\u9879\u4E09">\n          \u9009\u9879\u4E09\n      </PIROS.Tabs.TabItem>\n  </PIROS.Tabs>\n    ';
}

module.exports = {
    example: example,
    params: params,
    code: code
};
//# sourceMappingURL=Tabs.js.map