import Layout from './Layout'
import Menu from './Menu'
import Panel from './Panel'
import Button from './Button'
import Table from './Table'
import Tooltip from './Tooltip'
import Popconfirm from './Popconfirm'
import message from './Message'
import Input from './Input'
import Switch from './Switch'
import Radio from './Radio'
import RadioGruop from './RadioGroup'
import InputNumber from './InputNumber'
import Icon from './Icon'
import Tag from './Tag'
import Badge from './Badge'
import Tabs from './Tabs'
import Progress from './Progress'
import Select from './Select'
import SearchInput from './SearchInput'
import Pagination from './Pagination'
import Modal from './Modal'
import DatePicker from './DatePicker'
import TimerPicker from './TimerPicker'
import Alert from './Alert'
import Upload from './Upload'
import CheckBox,{CheckBoxGroup} from './CheckBox'

module.exports = {
  Layout:Layout,
  Menu:Menu,
  Panel:Panel,
  Button:Button,
  Table:Table,
  Tooltip,
  Popconfirm,
	message:message,
	Input:Input,
	Switch:Switch,
	Radio:Radio,
	RadioGruop:RadioGruop,
	DatePicker:DatePicker,
	InputNumber:InputNumber,
  Select:Select,
  SearchInput:SearchInput,
  Pagination:Pagination,
  Modal:Modal,
  Icon:Icon,
  Tag:Tag,
  Badge:Badge,
  Tabs:Tabs,
  Progress: Progress,
	TimerPicker:TimerPicker,
  Alert: Alert,
  Upload:Upload,
  CheckBox:CheckBox,
  CheckBoxGroup:CheckBoxGroup,
}

