import React from 'react'

import PIROS from '../index';




function example(){
  return <div>
    <PIROS.Alert type="info" title={"消息提示"} >
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"成功提示"}  >
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"警告提示"} >
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"错误提示"}>
    </PIROS.Alert>
    <br/>
    <br/>
    <PIROS.Alert type="info" title={"消息提示带图标"} icon={true}>
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"成功提示带图标"}  icon={true}>
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"警告提示带图标"} icon={true}>
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"错误提示带图标"} icon={true}>
    </PIROS.Alert>
    <br/>
    <br/>
    <PIROS.Alert type="info" title={"消息提示带辅助消息的提示"} description={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"成功提示带辅助消息的提示"} description={true} >
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"警告提示带辅助消息的提示"} description={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"错误提示带辅助消息的提示"} description={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <br/>
    <br/>
    <PIROS.Alert type="info" title={"大图标消息提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"大图标成功提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"大图标警告提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"大图标错误提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
     <br/>
     <br/>
    <PIROS.Alert type="info" title={"可关闭的提示"} remove={true}>
      可移除标签
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"可关闭的提示"} icon={true}  remove={true}>
      成功标签
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"可关闭的提示"} description={true} remove={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"可关闭的提示"} description={true}  icon={true} remove={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>

  </div>
}


function params(){
  let dataSource = [
    {
      key:"type",
      type:"string",
      "default":"",
      mark:"必填 message succeed warning error"
    },
    {
      key:"title",
      type:"string",
      mark:"必填 alert的title"
    },
    {
      key:"icon",
      type:"bool",
      "default":"false",
      mark:"是否带图标"
    },
    {
      key:"description",
      type:"bool",
      "default":"false",
      mark:"是否有辅助信息"
    },
    {
      key:"remove",
      type:"bool",
      "default":"false",
      mark:"是否可移除"
    }
    
  ];

  let columns = [
    {
      title:"参数",
      key:"key"
    },
    {
      title:"类型",
      key:"type"
    },
    {
      title:"默认值",
      key:"default"
    },
    {
      title:"说明",
      key:"mark"
    }
  ];

  return <PIROS.Table dataSource={dataSource}  columns={columns} />;
  
}

function code(){
  return `
     <PIROS.Alert type="info" title={"消息提示"} >
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"成功提示"}  >
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"警告提示"} >
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"错误提示"}>
    </PIROS.Alert>
    <br/>
    <br/>
    <PIROS.Alert type="info" title={"消息提示带图标"} icon={true}>
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"成功提示带图标"}  icon={true}>
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"警告提示带图标"} icon={true}>
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"错误提示带图标"} icon={true}>
    </PIROS.Alert>
    <br/>
    <br/>
    <PIROS.Alert type="info" title={"消息提示带辅助消息的提示"} description={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"成功提示带辅助消息的提示"} description={true} >
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"警告提示带辅助消息的提示"} description={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"错误提示带辅助消息的提示"} description={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <br/>
    <br/>
    <PIROS.Alert type="info" title={"大图标消息提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"大图标成功提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"大图标警告提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"大图标错误提示带辅助消息的提示"} description={true} icon={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
     <br/>
     <br/>
    <PIROS.Alert type="info" title={"可关闭的提示"} remove={true}>
      可移除标签
    </PIROS.Alert>
    <PIROS.Alert type="success" title={"可关闭的提示"} icon={true}  remove={true}>
      成功标签
    </PIROS.Alert>
    <PIROS.Alert type="warning" title={"可关闭的提示"} description={true} remove={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    <PIROS.Alert type="error" title={"可关闭的提示"} description={true}  icon={true} remove={true}>
      辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍辅助性文字介绍
    </PIROS.Alert>
    `;
}

module.exports = {
  example:example,
  params:params,
  code:code,
}