import React from 'react'

import PIROS from '../index';




function example(){
  return <div>
    <PIROS.Badge >22</PIROS.Badge>
    <PIROS.Badge type="muted">1</PIROS.Badge>
    <PIROS.Badge type="weaker" >99+</PIROS.Badge>
    <PIROS.Badge wrapper={true} >被提示的文字</PIROS.Badge>
  </div>
}


function params(){

  let dataSource = [
    {
      key:"type",
      type:"string",
      "default":"default",
      mark:"可选值 muted weaker "
    },
    {
      key:"wrapper",
      type:"bool",
      "default":"false",
      mark:"wrapper为true时，不需传type"
    }
    
  ];

  let columns = [
    {
      title:"参数",
      key:"key"
    },
    {
      title:"类型",
      key:"type"
    },
    {
      title:"默认值",
      key:"default"
    },
    {
      title:"说明",
      key:"mark"
    }
  ];

  return <PIROS.Table dataSource={dataSource}  columns={columns} />;
  
}

function code(){
  return `
    <PIROS.Badge >22</PIROS.Badge>
    <PIROS.Badge type="muted">1</PIROS.Badge>
    <PIROS.Badge type="weaker" >99+</PIROS.Badge>
    <PIROS.Badge wrapper={true} >被提示的文字</PIROS.Badge>
    `;
}

module.exports = {
  example:example,
  params:params,
  code:code,
}