import React from 'react'

import PIROS from '../index'
const onChange = (e)=>{
	console.log("onchange")
}
function example(){
	const addonAfter = (<span className="submit-wrapper"></span>)
	return <div>
		<PIROS.Input name="text" defaultValue="sss" disabled style={{width:'300px',height:'20px'}} placeholder="请输入内容" onChange={onChange.bind(this)}/>
		<PIROS.Input type="password" name="text" defaultValue="sss"  placeholder="请输入内容" onChange={onChange.bind(this)}/>
		<PIROS.Input type="text"  addonAfter={addonAfter} onChange={onChange.bind(this)}/>
		<PIROS.Input type="search" onChange={onChange.bind(this)}/>
	</div>
}


function params(){

	let dataSource = [
		{
			key:"type",
			type:"string",
			"default":"text，search，password",
			mark:"用search会带一个放大镜"
		},
		{
			key:"disabled",
			type:"bool",
			"default":"false",
			mark:"是否禁用"
		},
		{
			key:"defaultValue",
			type:"string",
			"default":"无",
			mark:"初始化的值"
		},
		{
			key:"placeholder",
			type:"string",
			"default":"无",
			mark:"提示信息"
		},
		{
			key:"addonAfter",
			type:"html元素",
			"default":"无",
			mark:"输入框后图标"
		},

		{
			key:"value",
			type:"string",
			"default":"无",
			mark:"通过ref.value,可以获取input的值"
		},
		{
			key:"无",
			type:"无",
			"default":"无",
			mark:"支持大部分原生事件和设置"
		},


	];

	let columns = [
		{
			title:"参数",
			key:"key"
		},
		{
			title:"类型",
			key:"type"
		},
		{
			title:"默认值",
			key:"default"
		},
		{
			title:"说明",
			key:"mark"
		}
	];

	return <PIROS.Table dataSource={dataSource}  columns={columns} />;

}

function code(){
	return `
const addonAfter = (<span className="submit-wrapper"><span/></span>
		
<PIROS.Input name="text" defaultValue="sss" disabled placeholder="请输入内容" onChange={onChange.bind(this)}/>
    
<PIROS.Input type="password" name="text" defaultValue="sss"  placeholder="请输入内容" onChange={onChange.bind(this)}/>
		
<PIROS.Input type="text"  addonAfter={addonAfter} onChange={onChange.bind(this)}/>

<PIROS.Input type="search" onChange={onChange.bind(this)}/>
    `;
}

module.exports = {
	example:example,
	params:params,
	code:code,
}