import React from 'react'


import PIROS from '../index';

function example(){
  return <div>
    <PIROS.Panel title="Hello" >
      受CSS逻辑影响，Panel组件不支持嵌套，嵌套后不能折叠
    </PIROS.Panel>
  </div>
}


function params(){
  let dataSource = [
    {
      key:"title",
      type:"string",
      "default":"Panel",
      mark:"面板标题"
    }
  ];

  let columns = [
    {
      title:"参数",
      key:"key"
    },
    {
      title:"类型",
      key:"type"
    },
    {
      title:"默认值",
      key:"default"
    },
    {
      title:"说明",
      key:"mark"
    }
  ];

  return <PIROS.Table dataSource={dataSource}  columns={columns} />;

}

function code(){
  return `
      <PIROS.Panel title="Hello" >
        world
      </PIROS.Panel>
    `;
}

module.exports = {
  example:example,
  params:params,
  code:code,
}