import React from 'react'

import PIROS,{Tabs} from '../index';




function example(){
  return <div>
    {/*<PIROS.Tabs defaultActiveKey="0" >
          <div tabNavItem = "选项一" >
              选项一
          </div>
          <div tabNavItem = "选项二" disabled>
              选项二
          </div>
          <div tabNavItem = "选项三">
              选项三
          </div>
      </PIROS.Tabs>*/}

  <PIROS.Tabs defaultActiveKey="0" >
      <PIROS.Tabs.TabItem tabNavItem = "选项一" >
          选项一
      </PIROS.Tabs.TabItem>
      <PIROS.Tabs.TabItem tabNavItem = "选项二" disabled>
          选项二
      </PIROS.Tabs.TabItem>
      <PIROS.Tabs.TabItem tabNavItem = "选项三">
          选项三
      </PIROS.Tabs.TabItem>
  </PIROS.Tabs>
  <br/>
  <br/>
  <br/>
  <PIROS.Tabs defaultActiveKey="0" >
      <PIROS.Tabs.TabItem tabNavItem = "选项一" >
          选项一
      </PIROS.Tabs.TabItem>
      <PIROS.Tabs.TabItem tabNavItem = "选项二" >
          选项二
      </PIROS.Tabs.TabItem>
      <PIROS.Tabs.TabItem tabNavItem = "选项三">
          选项三
      </PIROS.Tabs.TabItem>
  </PIROS.Tabs>
  </div>
}


function params(){

  let dataSource = [
    {
      key:"tabNavItem",
      type:"string",
      "default":"必填",
      mark:"tabs导航title"
    },
    {
      key:"defaultActiveKey",
      type:"string",
      "default":"0",
      mark:"默认选中第一项 ,'0'表示选项一，依此类推"
    },
   {
      key:"disabled",
      type:"bool",
      "default":"false",
      mark:"为true时该项不可选"
    },

    
  ];

  let columns = [
    {
      title:"参数",
      key:"key"
    },
    {
      title:"类型",
      key:"type"
    },
    {
      title:"默认值",
      key:"default"
    },
    {
      title:"说明",
      key:"mark"
    }
  ];

  return <PIROS.Table dataSource={dataSource}  columns={columns} />;
  
}

function code(){
  return `
    <PIROS.Tabs defaultActiveKey="0" >
      <PIROS.Tabs.TabItem tabNavItem = "选项一" >
          选项一
      </PIROS.Tabs.TabItem>
      <PIROS.Tabs.TabItem tabNavItem = "选项二" disabled>
          选项二
      </PIROS.Tabs.TabItem>
      <PIROS.Tabs.TabItem tabNavItem = "选项三">
          选项三
      </PIROS.Tabs.TabItem>
  </PIROS.Tabs>
    `;
}

module.exports = {
  example:example,
  params:params,
  code:code,
}