'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Badge = function (_React$Component) {
  _inherits(Badge, _React$Component);

  function Badge(props) {
    _classCallCheck(this, Badge);

    var _this = _possibleConstructorReturn(this, (Badge.__proto__ || Object.getPrototypeOf(Badge)).call(this, props));

    _this.typeEnum = {
      "default": "badge",
      "muted": "badge badge-muted",
      "weaker": "badge badge-weaker"
    };

    return _this;
  }

  _createClass(Badge, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          type = _props.type,
          wrapper = _props.wrapper;

      var className = this.typeEnum[type] || this.typeEnum["default"];
      return wrapper ? _react2.default.createElement(
        'span',
        { className: 'badge-wrapper' },
        ' ',
        this.props.children,
        _react2.default.createElement('span', { className: 'badge' })
      ) : _react2.default.createElement(
        'span',
        { className: className },
        this.props.children
      );
    }
  }]);

  return Badge;
}(_react2.default.Component);

Badge.propTypes = {
  type: _propTypes2.default.string,
  wrapper: _propTypes2.default.bool
};
exports.default = Badge;
//# sourceMappingURL=Badge.js.map