'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Input = function (_React$Component) {
	_inherits(Input, _React$Component);

	function Input(props) {
		_classCallCheck(this, Input);

		var _this = _possibleConstructorReturn(this, (Input.__proto__ || Object.getPrototypeOf(Input)).call(this, props));

		_this.value = props.defaultValue || "";
		return _this;
	}

	_createClass(Input, [{
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(props) {
			if (props.value) {
				this.value = props.value;
				// this.refs['input'].value = this.value;
			}
		}
	}, {
		key: 'onChange',
		value: function onChange(e) {
			this.value = this.refs['input'].value;
			this.props.onChange && this.props.onChange(this.value);
		}
	}, {
		key: 'reset',
		value: function reset() {
			this.value = "";
			this.refs['input'].value = "";
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    addonAfter = _props.addonAfter,
			    onChange = _props.onChange,
			    width = _props.width,
			    height = _props.height,
			    props = _objectWithoutProperties(_props, ['addonAfter', 'onChange', 'width', 'height']);

			var type = this.props.type;
			if (addonAfter) {
				return _react2.default.createElement(
					'div',
					{ className: 'form-search', style: { width: width, height: height } },
					_react2.default.createElement('input', _extends({ ref: 'input', className: 'input' }, props, { onChange: this.onChange.bind(this) })),
					addonAfter
				);
			} else if (type == "search") {
				return _react2.default.createElement(
					'div',
					{ className: 'form-search', style: { width: width, height: height } },
					_react2.default.createElement('input', _extends({ ref: 'input', className: 'input' }, props, { onChange: this.onChange.bind(this) })),
					_react2.default.createElement('span', { className: 'submit-wrapper' })
				);
			} else {
				return _react2.default.createElement('input', _extends({ ref: 'input', className: 'input' }, props, { onChange: this.onChange.bind(this) }));
			}
		}
	}]);

	return Input;
}(_react2.default.Component);

Input.propTypes = {
	type: _propTypes2.default.string,
	disabled: _propTypes2.default.bool,
	defaultValue: _propTypes2.default.string,
	onChange: _propTypes2.default.func,
	width: _propTypes2.default.string,
	height: _propTypes2.default.string
};
exports.default = Input;
//# sourceMappingURL=Input.js.map