'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Layout = function (_React$Component) {
  _inherits(Layout, _React$Component);

  function Layout(props) {
    _classCallCheck(this, Layout);

    var _this = _possibleConstructorReturn(this, (Layout.__proto__ || Object.getPrototypeOf(Layout)).call(this, props));

    _this.state = {
      title: props.title || "PIROS",
      isShowSide: true
    };
    return _this;
  }

  _createClass(Layout, [{
    key: 'onSideTrigger',
    value: function onSideTrigger() {
      this.setState({ isShowSide: !this.state.isShowSide });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _state = this.state,
          title = _state.title,
          isShowSide = _state.isShowSide;


      return _react2.default.createElement(
        'div',
        { className: 'yt-main-product' },
        _react2.default.Children.map(this.props.children, function (element, index) {
          return _react2.default.cloneElement(element, { isShowSide: isShowSide, title: title, onSideTrigger: _this2.onSideTrigger.bind(_this2) });
        })
      );
    }
  }]);

  return Layout;
}(_react2.default.Component);

//侧边栏


Layout.propTypes = {
  title: _propTypes2.default.string
};
exports.default = Layout;

var Side = function (_React$Component2) {
  _inherits(Side, _React$Component2);

  function Side() {
    _classCallCheck(this, Side);

    return _possibleConstructorReturn(this, (Side.__proto__ || Object.getPrototypeOf(Side)).apply(this, arguments));
  }

  _createClass(Side, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          isShowSide = _props.isShowSide,
          title = _props.title,
          onSideTrigger = _props.onSideTrigger;

      var platformClassName = isShowSide ? "platform-nav-scene platform-action" : "platform-nav-scene";
      var sideClassName = isShowSide ? "unfoldicon-left" : "unfoldicon-right";

      return _react2.default.createElement(
        'div',
        { className: platformClassName, style: { position: "fixed" } },
        _react2.default.createElement('span', { className: sideClassName, onClick: onSideTrigger }),
        _react2.default.createElement(
          'div',
          { className: 'platform-nav-title' },
          title
        ),
        _react2.default.createElement(
          'div',
          { className: 'product-wrapper' },
          this.props.children
        )
      );
    }
  }]);

  return Side;
}(_react2.default.Component);

//内容区域


var Context = function (_React$Component3) {
  _inherits(Context, _React$Component3);

  function Context() {
    _classCallCheck(this, Context);

    return _possibleConstructorReturn(this, (Context.__proto__ || Object.getPrototypeOf(Context)).apply(this, arguments));
  }

  _createClass(Context, [{
    key: 'render',
    value: function render() {
      var isShowSide = this.props.isShowSide;

      var innerClassName = isShowSide ? "inner-con inner-con-action" : "inner-con";

      return _react2.default.createElement(
        'div',
        { className: innerClassName },
        this.props.children
      );
    }
  }]);

  return Context;
}(_react2.default.Component);

Layout.Side = Side;
Layout.Context = Context;
//# sourceMappingURL=Layout.js.map