'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Panel = function (_React$Component) {
  _inherits(Panel, _React$Component);

  function Panel(props) {
    _classCallCheck(this, Panel);

    var _this = _possibleConstructorReturn(this, (Panel.__proto__ || Object.getPrototypeOf(Panel)).call(this, props));

    _this.state = {
      isAction: true
    };
    return _this;
  }

  _createClass(Panel, [{
    key: 'onAction',
    value: function onAction() {
      this.setState({
        isAction: !this.state.isAction
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var isAction = this.state.isAction;

      var panelClassName = isAction ? "yt-panel panel-action" : "yt-panel";

      return _react2.default.createElement(
        'div',
        { className: panelClassName },
        _react2.default.createElement(
          'div',
          { className: 'panel-title', onClick: this.onAction.bind(this) },
          this.props.title,
          _react2.default.createElement('span', { className: 'icon-caret panel-caret' })
        ),
        _react2.default.createElement(
          'div',
          { className: 'panel-body' },
          this.props.children
        )
      );
    }
  }]);

  return Panel;
}(_react2.default.Component);

Panel.propTypes = {
  title: _propTypes2.default.string.isRequired,
  isOpen: _propTypes2.default.bool,
  defaultOpen: _propTypes2.default.bool
};
exports.default = Panel;
//# sourceMappingURL=Panel.js.map