'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function example() {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(_index2.default.Alert, { type: 'info', title: "消息提示" }),
    _react2.default.createElement(_index2.default.Alert, { type: 'success', title: "成功提示" }),
    _react2.default.createElement(_index2.default.Alert, { type: 'warning', title: "警告提示" }),
    _react2.default.createElement(_index2.default.Alert, { type: 'error', title: "错误提示" }),
    _react2.default.createElement('br', null),
    _react2.default.createElement('br', null),
    _react2.default.createElement(_index2.default.Alert, { type: 'info', title: "消息提示带图标", icon: true }),
    _react2.default.createElement(_index2.default.Alert, { type: 'success', title: "成功提示带图标", icon: true }),
    _react2.default.createElement(_index2.default.Alert, { type: 'warning', title: "警告提示带图标", icon: true }),
    _react2.default.createElement(_index2.default.Alert, { type: 'error', title: "错误提示带图标", icon: true }),
    _react2.default.createElement('br', null),
    _react2.default.createElement('br', null),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'info', title: "消息提示带辅助消息的提示", description: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'success', title: "成功提示带辅助消息的提示", description: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'warning', title: "警告提示带辅助消息的提示", description: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'error', title: "错误提示带辅助消息的提示", description: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement('br', null),
    _react2.default.createElement('br', null),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'info', title: "大图标消息提示带辅助消息的提示", description: true, icon: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'success', title: "大图标成功提示带辅助消息的提示", description: true, icon: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'warning', title: "大图标警告提示带辅助消息的提示", description: true, icon: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'error', title: "大图标错误提示带辅助消息的提示", description: true, icon: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement('br', null),
    _react2.default.createElement('br', null),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'info', title: "可关闭的提示", remove: true },
      '\u53EF\u79FB\u9664\u6807\u7B7E'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'success', title: "可关闭的提示", icon: true, remove: true },
      '\u6210\u529F\u6807\u7B7E'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'warning', title: "可关闭的提示", description: true, remove: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    ),
    _react2.default.createElement(
      _index2.default.Alert,
      { type: 'error', title: "可关闭的提示", description: true, icon: true, remove: true },
      '\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD'
    )
  );
}

function params() {
  var dataSource = [{
    key: "type",
    type: "string",
    "default": "",
    mark: "必填 message succeed warning error"
  }, {
    key: "title",
    type: "string",
    mark: "必填 alert的title"
  }, {
    key: "icon",
    type: "bool",
    "default": "false",
    mark: "是否带图标"
  }, {
    key: "description",
    type: "bool",
    "default": "false",
    mark: "是否有辅助信息"
  }, {
    key: "remove",
    type: "bool",
    "default": "false",
    mark: "是否可移除"
  }];

  var columns = [{
    title: "参数",
    key: "key"
  }, {
    title: "类型",
    key: "type"
  }, {
    title: "默认值",
    key: "default"
  }, {
    title: "说明",
    key: "mark"
  }];

  return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
  return '\n     <PIROS.Alert type="info" title={"\u6D88\u606F\u63D0\u793A"} >\n    </PIROS.Alert>\n    <PIROS.Alert type="success" title={"\u6210\u529F\u63D0\u793A"}  >\n    </PIROS.Alert>\n    <PIROS.Alert type="warning" title={"\u8B66\u544A\u63D0\u793A"} >\n    </PIROS.Alert>\n    <PIROS.Alert type="error" title={"\u9519\u8BEF\u63D0\u793A"}>\n    </PIROS.Alert>\n    <br/>\n    <br/>\n    <PIROS.Alert type="info" title={"\u6D88\u606F\u63D0\u793A\u5E26\u56FE\u6807"} icon={true}>\n    </PIROS.Alert>\n    <PIROS.Alert type="success" title={"\u6210\u529F\u63D0\u793A\u5E26\u56FE\u6807"}  icon={true}>\n    </PIROS.Alert>\n    <PIROS.Alert type="warning" title={"\u8B66\u544A\u63D0\u793A\u5E26\u56FE\u6807"} icon={true}>\n    </PIROS.Alert>\n    <PIROS.Alert type="error" title={"\u9519\u8BEF\u63D0\u793A\u5E26\u56FE\u6807"} icon={true}>\n    </PIROS.Alert>\n    <br/>\n    <br/>\n    <PIROS.Alert type="info" title={"\u6D88\u606F\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="success" title={"\u6210\u529F\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true} >\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="warning" title={"\u8B66\u544A\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="error" title={"\u9519\u8BEF\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <br/>\n    <br/>\n    <PIROS.Alert type="info" title={"\u5927\u56FE\u6807\u6D88\u606F\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true} icon={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="success" title={"\u5927\u56FE\u6807\u6210\u529F\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true} icon={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="warning" title={"\u5927\u56FE\u6807\u8B66\u544A\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true} icon={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="error" title={"\u5927\u56FE\u6807\u9519\u8BEF\u63D0\u793A\u5E26\u8F85\u52A9\u6D88\u606F\u7684\u63D0\u793A"} description={true} icon={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n     <br/>\n     <br/>\n    <PIROS.Alert type="info" title={"\u53EF\u5173\u95ED\u7684\u63D0\u793A"} remove={true}>\n      \u53EF\u79FB\u9664\u6807\u7B7E\n    </PIROS.Alert>\n    <PIROS.Alert type="success" title={"\u53EF\u5173\u95ED\u7684\u63D0\u793A"} icon={true}  remove={true}>\n      \u6210\u529F\u6807\u7B7E\n    </PIROS.Alert>\n    <PIROS.Alert type="warning" title={"\u53EF\u5173\u95ED\u7684\u63D0\u793A"} description={true} remove={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    <PIROS.Alert type="error" title={"\u53EF\u5173\u95ED\u7684\u63D0\u793A"} description={true}  icon={true} remove={true}>\n      \u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\u8F85\u52A9\u6027\u6587\u5B57\u4ECB\u7ECD\n    </PIROS.Alert>\n    ';
}

module.exports = {
  example: example,
  params: params,
  code: code
};
//# sourceMappingURL=Alert.js.map