'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function example() {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _index2.default.Badge,
      null,
      '22'
    ),
    _react2.default.createElement(
      _index2.default.Badge,
      { type: 'muted' },
      '1'
    ),
    _react2.default.createElement(
      _index2.default.Badge,
      { type: 'weaker' },
      '99+'
    ),
    _react2.default.createElement(
      _index2.default.Badge,
      { wrapper: true },
      '\u88AB\u63D0\u793A\u7684\u6587\u5B57'
    )
  );
}

function params() {

  var dataSource = [{
    key: "type",
    type: "string",
    "default": "default",
    mark: "可选值 muted weaker "
  }, {
    key: "wrapper",
    type: "bool",
    "default": "false",
    mark: "wrapper为true时，不需传type"
  }];

  var columns = [{
    title: "参数",
    key: "key"
  }, {
    title: "类型",
    key: "type"
  }, {
    title: "默认值",
    key: "default"
  }, {
    title: "说明",
    key: "mark"
  }];

  return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
  return '\n    <PIROS.Badge >22</PIROS.Badge>\n    <PIROS.Badge type="muted">1</PIROS.Badge>\n    <PIROS.Badge type="weaker" >99+</PIROS.Badge>\n    <PIROS.Badge wrapper={true} >\u88AB\u63D0\u793A\u7684\u6587\u5B57</PIROS.Badge>\n    ';
}

module.exports = {
  example: example,
  params: params,
  code: code
};
//# sourceMappingURL=Badge.js.map