'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var onChange = function onChange(e) {
	console.log("onchange");
};
var onOpenChange = function onOpenChange(status) {
	// console.log(status)
};
var disabledDate = function disabledDate(current) {
	// Can not select days before today
	return current && current.valueOf() < Date.now();
};
function example() {

	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(_index2.default.DatePicker, { onChange: onChange, onOpenChange: onOpenChange, placeholder: 'Select date' }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.DatePicker, { onChange: onChange, onOpenChange: onOpenChange, placeholder: 'Select date', disabledDate: disabledDate }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.DatePicker, { onChange: onChange, onOpenChange: onOpenChange, defaultValue: '2017/02/01', placeholder: 'Select date' }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.DatePicker, { onChange: onChange, disabled: true, onOpenChange: onOpenChange, placeholder: 'Select date' }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.DatePicker, { onChange: onChange, showTime: true, onOpenChange: onOpenChange, placeholder: 'Select date' }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null)
	);
}

function params() {

	var dataSource = [{
		key: "date",
		type: "Date",
		"default": "无",
		mark: "用ref.date可以直接获取组件Date类型的值"
	}, {
		key: "disabled",
		type: "bool",
		"default": "false",
		mark: "是否禁用"
	},, {
		key: "disabledDate",
		type: "function",
		"default": "无",
		mark: "返回值为true时，禁止选择该日期"
	}, {
		key: "defaultValue",
		type: "string",
		"default": "无",
		mark: "初始化的值使用可被new Date（defaultValue）的值，如'2017/1/2'"
	}, {
		key: "placeholder",
		type: "string",
		"default": "无",
		mark: "提示信息"
	}, {
		key: "onChange",
		type: "function",
		"default": "无",
		mark: "时间改变时的回调"
	}, {
		key: "onOpenChange",
		type: "function",
		"default": "无",
		mark: "弹出和关闭日历的回调"
	}, {
		key: "onKeyDown",
		type: "function",
		"default": "无",
		mark: "键盘事件"
	}, {
		key: "showTime",
		type: "bool",
		"default": "false",
		mark: "是否显示时间"
	}];

	var columns = [{
		title: "参数",
		key: "key"
	}, {
		title: "类型",
		key: "type"
	}, {
		title: "默认值",
		key: "default"
	}, {
		title: "说明",
		key: "mark"
	}];

	return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
	return '\nconst onChange = (e)=>{\n\tconsole.log("onchange")\n}\nconst onOpenChange = (status)=>{\n\tconsole.log(status)\n}\nconst disabledDate = (current)=>{\n    // Can not select days before today\n    return current && current.valueOf() < Date.now();\n}\n\t\t\n<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} placeholder="Select date"/>\n\n\n<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} placeholder="Select date" disabledDate={disabledDate}/>\n\n    \n<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} defaultValue=\'2017/02/01\' placeholder="Select date"/>\n\t\t\n\t\t\n<PIROS.DatePicker onChange={onChange} disabled onOpenChange={onOpenChange} placeholder="Select date"/>\n    ';
}

module.exports = {
	example: example,
	params: params,
	code: code
};
//# sourceMappingURL=DatePicker.js.map