'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var onChange = function onChange(e) {
	console.log('onchange(' + e + ')');
};
function example() {
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(_index2.default.InputNumber, { min: -10, max: 100, defaultValue: 2, step: 1, onChange: onChange }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.InputNumber, { onChange: onChange })
	);
}

function params() {

	var dataSource = [{
		key: "min",
		type: "number",
		"default": "0",
		mark: "最小值"
	}, {
		key: "max",
		type: "number",
		"default": "无",
		mark: "最大值"
	}, {
		key: "defaultValue",
		type: "number",
		"default": "无",
		mark: "初始化的值"
	}, {
		key: "onChange",
		type: "function",
		"default": "无",
		mark: ""
	}, {
		key: "vale",
		type: "function",
		"default": "无",
		mark: "获取input的值,设置input的值"
	}, {
		key: "无",
		type: "无",
		"default": "无",
		mark: "支持大部分原生事件和设置"
	}];

	var columns = [{
		title: "参数",
		key: "key"
	}, {
		title: "类型",
		key: "type"
	}, {
		title: "默认值",
		key: "default"
	}, {
		title: "说明",
		key: "mark"
	}];

	return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {

	return '\nconst onChange = (e)=>{\n\tconsole.log("onchange")\n}\n<PIROS.InputNumber min={1} max={10}  defaultValue={2} step={1} onChange={onChange}/>\n    ';
}

module.exports = {
	example: example,
	params: params,
	code: code
};
//# sourceMappingURL=InputNumber.js.map