'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function example() {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      _index2.default.Panel,
      { title: 'Hello' },
      '\u53D7CSS\u903B\u8F91\u5F71\u54CD\uFF0CPanel\u7EC4\u4EF6\u4E0D\u652F\u6301\u5D4C\u5957\uFF0C\u5D4C\u5957\u540E\u4E0D\u80FD\u6298\u53E0'
    )
  );
}

function params() {
  var dataSource = [{
    key: "title",
    type: "string",
    "default": "Panel",
    mark: "面板标题"
  }];

  var columns = [{
    title: "参数",
    key: "key"
  }, {
    title: "类型",
    key: "type"
  }, {
    title: "默认值",
    key: "default"
  }, {
    title: "说明",
    key: "mark"
  }];

  return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
  return '\n      <PIROS.Panel title="Hello" >\n        world\n      </PIROS.Panel>\n    ';
}

module.exports = {
  example: example,
  params: params,
  code: code
};
//# sourceMappingURL=Panel.js.map