'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function example() {
	var onChange = function onChange(e) {
		console.log("onchange");
	};
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(_index2.default.Switch, null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.Switch, { defaultChecked: true, onChange: onChange.bind(this) }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.Switch, { checked: true, onChange: onChange.bind(this) }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.Switch, { defaultChecked: true, disabled: true, onChange: onChange.bind(this) })
	);
}

function params() {

	var dataSource = [{
		key: "checked",
		type: "bool",
		"default": "false",
		mark: "指定当前选中状态,用ref.checked可以获取选中状态"
	}, {
		key: "defaultChecked",
		type: "bool",
		"default": "false",
		mark: "默认选中状态"
	}, {
		key: "disabled",
		type: "bool",
		"default": "false",
		mark: "是否禁用"
	}, {
		key: "onChange",
		type: "function",
		"default": "无",
		mark: "选中状态改变回调函数"
	}];

	var columns = [{
		title: "参数",
		key: "key"
	}, {
		title: "类型",
		key: "type"
	}, {
		title: "默认值",
		key: "default"
	}, {
		title: "说明",
		key: "mark"
	}];

	return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
	return '\nconst onChange = (e)=>{\n\tconsole.log("onchange")\n}\n\n<PIROS.Switch/>\n\n<PIROS.Switch defaultChecked onChange={onChange.bind(this)}/>\n\n<PIROS.Switch  checked onChange={onChange.bind(this)}/>\n\n<PIROS.Switch defaultChecked disabled />\n    ';
}

module.exports = {
	example: example,
	params: params,
	code: code
};
//# sourceMappingURL=Switch.js.map