'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function example() {
	var onChange = function onChange() {
		console.log('onChange');
	};
	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement(_index2.default.TimerPicker, { defaultValue: '10:09', onChange: onChange, autoClose: true }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.TimerPicker, { onChange: onChange, autoClose: true }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement(_index2.default.TimerPicker, { disabled: true, placeholder: '\u4E0D\u53EF\u9009\u62E9\u65F6\u95F4' }),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null),
		_react2.default.createElement('br', null)
	);
}

function params() {

	var dataSource = [{
		key: "disabled",
		type: "bool",
		"default": "false",
		mark: "是否禁用按钮"
	}, {
		key: "value",
		type: "string",
		"default": "false",
		mark: "可以直接用ref.value获取值，并可以在标签中直接设置value的值"
	}, {
		key: "defaultValue",
		type: "string",
		"default": "false",
		mark: "默认选中日期"
	}, {
		key: "onChange",
		type: "function",
		"default": "false",
		mark: "时间改变事件"
	}];

	var columns = [{
		title: "参数",
		key: "key"
	}, {
		title: "类型",
		key: "type"
	}, {
		title: "默认值",
		key: "default"
	}, {
		title: "说明",
		key: "mark"
	}];

	return _react2.default.createElement(_index2.default.Table, { dataSource: dataSource, columns: columns });
}

function code() {
	return '\n    import {TimerPicker} from \'react-piros\'\n  \n\t  const onChange=()=>{\n\t\t\tconsole.log(\'onChange\')\n\t\t}\n    <TimerPicker defaultValue="10:09" onChange={onChange}/>\n    <TimerPicker disabled placeholder="\u4E0D\u53EF\u9009\u62E9\u65F6\u95F4"/>\n    ';
}

module.exports = {
	example: example,
	params: params,
	code: code
};
//# sourceMappingURL=TimerPicker.js.map