import React from 'react'

import PIROS from '../index'
const onChange = (e)=>{
	console.log("onchange")
}
const onOpenChange = (status)=>{
	// console.log(status)
}
const disabledDate = (current)=>{
    // Can not select days before today
    return current && current.valueOf() < Date.now();
}
function example(){

	return <div>
		<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} placeholder="Select date"/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} placeholder="Select date" disabledDate={disabledDate}/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} defaultValue='2017/02/01' placeholder="Select date"/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<PIROS.DatePicker onChange={onChange} disabled onOpenChange={onOpenChange} placeholder="Select date"/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<PIROS.DatePicker onChange={onChange} showTime={ true } onOpenChange={onOpenChange} placeholder="Select date"/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
	</div>
}


function params(){

	let dataSource = [
		{
			key:"date",
			type:"Date",
			"default":"无",
			mark:"用ref.date可以直接获取组件Date类型的值"
		},
		{
			key:"disabled",
			type:"bool",
			"default":"false",
			mark:"是否禁用"
		},,
		{
			key:"disabledDate",
			type:"function",
			"default":"无",
			mark:"返回值为true时，禁止选择该日期"
		},
		{
			key:"defaultValue",
			type:"string",
			"default":"无",
			mark:"初始化的值使用可被new Date（defaultValue）的值，如'2017/1/2'"
		},
		{
			key:"placeholder",
			type:"string",
			"default":"无",
			mark:"提示信息"
		},
		{
			key:"onChange",
			type:"function",
			"default":"无",
			mark:"时间改变时的回调"
		},

		{
			key:"onOpenChange",
			type:"function",
			"default":"无",
			mark:"弹出和关闭日历的回调"
		},
		{
			key:"onKeyDown",
			type:"function",
			"default":"无",
			mark:"键盘事件"
		},
		{
			key:"showTime",
			type:"bool",
			"default":"false",
			mark:"是否显示时间"
		}
	];

	let columns = [
		{
			title:"参数",
			key:"key"
		},
		{
			title:"类型",
			key:"type"
		},
		{
			title:"默认值",
			key:"default"
		},
		{
			title:"说明",
			key:"mark"
		}
	];

	return <PIROS.Table dataSource={dataSource}  columns={columns} />;

}

function code(){
	return `
const onChange = (e)=>{
	console.log("onchange")
}
const onOpenChange = (status)=>{
	console.log(status)
}
const disabledDate = (current)=>{
    // Can not select days before today
    return current && current.valueOf() < Date.now();
}
		
<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} placeholder="Select date"/>


<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} placeholder="Select date" disabledDate={disabledDate}/>

    
<PIROS.DatePicker onChange={onChange} onOpenChange={onOpenChange} defaultValue='2017/02/01' placeholder="Select date"/>
		
		
<PIROS.DatePicker onChange={onChange} disabled onOpenChange={onOpenChange} placeholder="Select date"/>
    `;
}

module.exports = {
	example:example,
	params:params,
	code:code,
}