import React from 'react'

import PIROS from '../index';

function example(){
	const onChange=()=>{
		console.log('onChange')
	}
	return <div>
		<PIROS.TimerPicker defaultValue="10:09" onChange={onChange} autoClose={true}/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<PIROS.TimerPicker  onChange={onChange} autoClose={true}/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<PIROS.TimerPicker disabled placeholder="不可选择时间"/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
	</div>
}


function params(){

	let dataSource = [
		{
			key:"disabled",
			type:"bool",
			"default":"false",
			mark:"是否禁用按钮"
		},
		{
			key:"value",
			type:"string",
			"default":"false",
			mark:"可以直接用ref.value获取值，并可以在标签中直接设置value的值"
		},
		{
			key:"defaultValue",
			type:"string",
			"default":"false",
			mark:"默认选中日期"
		},
		{
			key:"onChange",
			type:"function",
			"default":"false",
			mark:"时间改变事件"
		}

	];

	let columns = [
		{
			title:"参数",
			key:"key"
		},
		{
			title:"类型",
			key:"type"
		},
		{
			title:"默认值",
			key:"default"
		},
		{
			title:"说明",
			key:"mark"
		}
	];

	return <PIROS.Table dataSource={dataSource}  columns={columns} />;

}

function code(){
	return `
    import {TimerPicker} from 'react-piros'
  
	  const onChange=()=>{
			console.log('onChange')
		}
    <TimerPicker defaultValue="10:09" onChange={onChange}/>
    <TimerPicker disabled placeholder="不可选择时间"/>
    `;
}

module.exports = {
	example:example,
	params:params,
	code:code,
}